The gtk package

[Tags: lgpl, library]

This is the core library of the Gtk2Hs suite of libraries for Haskell based on Gtk+. Gtk+ is an extensive and mature multi-platform toolkit for creating graphical user interfaces.

Properties

Versions0.11.0, 0.11.1, 0.11.2, 0.12.0, 0.12.1, 0.12.2, 0.12.3, 0.12.3.1, 0.12.4, 0.12.5.0, 0.12.5.1, 0.12.5.2, 0.12.5.3, 0.12.5.4, 0.12.5.5, 0.12.5.6, 0.12.5.7, 0.13.0.0, 0.13.0.1, 0.13.0.2, 0.13.0.3, 0.13.1, 0.13.2, 0.13.3, 0.13.4, 0.13.6, 0.13.7, 0.13.8, 0.13.8.1, 0.13.9
Change logNone available
Dependenciesarray, base (==4.*), bytestring, cairo (>=0.12.5 && <0.13), containers, gio (>=0.12.5 && <0.13), glib (>=0.12.5 && <0.13), mtl, pango (>=0.12.5 && <0.13) [details]
LicenseLGPL-2.1
Copyright(c) 2001-2010 The Gtk2Hs Team
AuthorAxel Simon, Duncan Coutts and many others
Maintainergtk2hs-users@lists.sourceforge.net
Stabilityprovisional
CategoryGraphics
Home pagehttp://projects.haskell.org/gtk2hs/
Bug trackerhttp://hackage.haskell.org/trac/gtk2hs/
Source repositoryhead: git clone https://github.com/gtk2hs/gtk2hs(gtk)
UploadedSat Feb 8 11:01:16 UTC 2014 by HamishMackenzie
DistributionsDebian:0.13.9, Fedora:0.13.4, FreeBSD:0.13.9, LTSHaskell:0.13.9, NixOS:0.13.9, Stackage:0.13.9
Downloads21228 total (540 in last 30 days)
Votes
0 []
StatusDocs available [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Flags

NameDescriptionDefaultType
deprecatedInclude definitions in this library that are considered obsolete.EnabledManual
have-gioDepend on GIO package, thereby enabling certain features.EnabledAutomatic
have-quartz-gtkAssume that the installed GTK is the version for OS X backend by Quartz, and hence does not provide gdk_x11_drawable_get_xidDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees